diff --git a/sdp.c b/sdp.c
index 413a52e586..54b966d11d 100644
--- a/sdp.c
+++ b/sdp.c
@@ -1089,7 +1089,7 @@ char *janus_sdp_merge(void *ice_handle, janus_sdp *anon, gboolean offer) {
 	g_free(anon->c_addr);
 	anon->c_addr = NULL;
 	/* bundle: add new global attribute */
-	char buffer[2048], buffer_part[512];
+	char buffer[JANUS_BUFSIZE], buffer_part[512];
 	buffer[0] = '\0';
 	buffer_part[0] = '\0';
 	g_snprintf(buffer, sizeof(buffer), "BUNDLE");
